net.minecraft.entity

## Class EntityLiving

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.EntityLivingBase
    - - net.minecraft.entity.EntityLiving

- Direct Known Subclasses:
    EntityAmbientCreature, EntityCreature, EntityDragon, EntityFlying, EntitySlime

      public abstract class EntityLiving
      extends EntityLivingBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.entity.Entity

      `Entity.EnumEntitySize`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected float` | `defaultPitch`
    `protected float[]` | `equipmentDropChances`
    `protected int` | `experienceValue`
    `int` | `livingSoundTime`
    `protected int` | `numTicksToChaseTarget`
    `EntityAITasks` | `targetTasks`
    `EntityAITasks` | `tasks`

    - ### Fields inherited from class net.minecraft.entity.EntityLivingBase

      `arrowHitTimer, attackedAtYaw, attackingPlayer, attackTime, cameraPitch, dead, deathTime, entityAge, field_110154_aX, field_70741_aB, field_70763_ax, field_70764_aw, field_70768_au, field_70769_ao, field_70770_ap, hurtTime, isJumping, isSwingInProgress, jumpMovementFactor, lastDamage, limbSwing, limbSwingAmount, maxHurtResistantTime, maxHurtTime, moveForward, moveStrafing, newPosRotationIncrements, newPosX, newPosY, newPosZ, newRotationPitch, newRotationYaw, prevCameraPitch, prevHealth, prevLimbSwingAmount, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, randomYawVelocity, recentlyHit, renderYawOffset, rotationYawHead, scoreValue, swingProgress, swingProgressInt`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, dataWatcher, dimension, distanceWalkedModified, distanceWalkedOnStepModified, entityCollisionReduction, entityUniqueID, extendedProperties, fallDistance, field_70135_K, fireResistance, forceSpawn, height, hurtResistantTime, ignoreFrustumCheck, inPortal, inWater, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, isImmuneToFire, isInWeb, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, portalCounter, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, rand, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, stepHeight, teleportDirection, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityLiving(World par1World)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addRandomArmor()`
    `boolean` | `allowLeashing()`
    `protected void` | `applyEntityAttributes()`
    `boolean` | `canAttackClass(java.lang.Class par1Class)`
    `boolean` | `canBeSteered()`
    `protected boolean` | `canDespawn()`
    `boolean` | `canPickUpLoot()`
    `void` | `clearLeashed(boolean par1, boolean par2)`
    `protected void` | `despawnEntity()`
    `protected void` | `dropEquipment(boolean par1, int par2)`
    `protected void` | `dropFewItems(boolean par1, int par2)`
    `void` | `eatGrassBonus()`
    `protected void` | `enchantEquipment()`
    `protected void` | `entityInit()`
    `void` | `faceEntity(Entity par1Entity, float par2, float par3)`
    `protected float` | `func_110146_f(float par1, float par2)`
    `void` | `func_110163_bv()`
    `ItemStack` | `func_130225_q(int par1)`
    `boolean` | `getAlwaysRenderNameTag()`
    `boolean` | `getAlwaysRenderNameTagForRender()`
    `static Item` | `getArmorItemForSlot(int par0, int par1)`
    `static int` | `getArmorPosition(ItemStack par0ItemStack)`
    `EntityLivingBase` | `getAttackTarget()`
    `boolean` | `getCanSpawnHere()`
    `java.lang.String` | `getCommandSenderName()`
    `java.lang.String` | `getCustomNameTag()`
    `protected Item` | `getDropItem()`
    `EntitySenses` | `getEntitySenses()`
    `ItemStack` | `getEquipmentInSlot(int par1)`
    `protected int` | `getExperiencePoints(EntityPlayer par1EntityPlayer)`
    `ItemStack` | `getHeldItem()`
    `EntityJumpHelper` | `getJumpHelper()`
    `ItemStack[]` | `getLastActiveItems()`
    `boolean` | `getLeashed()`
    `Entity` | `getLeashedToEntity()`
    `protected java.lang.String` | `getLivingSound()`
    `EntityLookHelper` | `getLookHelper()`
    `int` | `getMaxSafePointTries()`
    `int` | `getMaxSpawnedInChunk()`
    `EntityMoveHelper` | `getMoveHelper()`
    `PathNavigate` | `getNavigator()`
    `float` | `getRenderSizeModifier()`
    `int` | `getTalkInterval()`
    `int` | `getVerticalFaceSpeed()`
    `boolean` | `hasCustomNameTag()`
    `protected boolean` | `interact(EntityPlayer par1EntityPlayer)`
    `boolean` | `interactFirst(EntityPlayer par1EntityPlayer)`
    `protected boolean` | `isAIEnabled()`
    `boolean` | `isNoDespawnRequired()`
    `void` | `onEntityUpdate()`
    `void` | `onLivingUpdate()`
    `IEntityLivingData` | `onSpawnWithEgg(IEntityLivingData par1EntityLivingData)`
    `void` | `onUpdate()`
    `void` | `playLivingSound()`
    `void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)`
    `void` | `setAIMoveSpeed(float par1)`
    `void` | `setAlwaysRenderNameTag(boolean par1)`
    `void` | `setAttackTarget(EntityLivingBase par1EntityLivingBase)`
    `void` | `setCanPickUpLoot(boolean par1)`
    `void` | `setCurrentItemOrArmor(int par1, ItemStack par2ItemStack)`
    `void` | `setCustomNameTag(java.lang.String par1Str)`
    `void` | `setEquipmentDropChance(int par1, float par2)`
    `void` | `setLeashedToEntity(Entity par1Entity, boolean par2)`
    `void` | `setMoveForward(float par1)`
    `void` | `spawnExplosionParticle()`
    `protected void` | `updateAITasks()`
    `protected void` | `updateEntityActionState()`
    `protected void` | `updateLeashedState()`
    `void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)`

    - ### Methods inherited from class net.minecraft.entity.EntityLivingBase

      `addPotionEffect, applyArmorCalculations, applyPotionDamageCalculations, attackEntityAsMob, attackEntityFrom, canBeCollidedWith, canBePushed, canBreatheUnderwater, canEntityBeSeen, clearActivePotions, collideWithEntity, collideWithNearbyEntities, curePotionEffects, damageArmor, damageEntity, decreaseAirSupply, dismountEntity, dropRareDrop, fall, func_110142_aN, func_142015_aE, func_146066_aG, func_146067_o, func_94060_bK, getAbsorptionAmount, getActivePotionEffect, getActivePotionEffects, getAge, getAIMoveSpeed, getAITarget, getArrowCountInEntity, getAttributeMap, getCreatureAttribute, getDeathSound, getEntityAttribute, getEyeHeight, getHealth, getHurtSound, getItemIcon, getLastAttacker, getLastAttackerTime, getLook, getLookVec, getMaxHealth, getPosition, getRNG, getRotationYawHead, getSoundPitch, getSoundVolume, getSwingProgress, getTeam, getTotalArmorValue, handleHealthUpdate, heal, isChild, isClientWorld, isEntityAlive, isEntityUndead, isMovementBlocked, isOnLadder, isOnSameTeam, isOnTeam, isPlayer, isPlayerSleeping, isPotionActive, isPotionActive, isPotionApplicable, jump, kill, knockBack, moveEntityWithHeading, onChangedPotionEffect, onDeath, onDeathUpdate, onFinishedPotionEffect, onItemPickup, onNewPotionEffect, performHurtAnimation, rayTrace, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAbsorptionAmount, setArrowCountInEntity, setBeenAttacked, setHealth, setJumping, setLastAttacker, setPositionAndRotation2, setPositionAndUpdate, setRevengeTarget, setRotationYawHead, setSprinting, shouldRiderFaceForward, swingItem, updateAITick, updateArmSwingProgress, updateFallState, updatePotionEffects, updateRidden`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityCrashInfo, addToPlayerScore, addVelocity, applyEntityCollision, canAttackWithItem, canRenderOnFire, canRiderInteract, canTriggerWalking, copyDataFrom, copyLocationAndAnglesFrom, dealFireDamage, doesEntityNotTriggerPressurePlate, dropItem, entityDropItem, equals, extinguish, func_145748_c_, func_145771_j, func_145772_a, func_145774_a, func_145775_I, func_145778_a, func_145780_a, func_145781_i, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityId, getEntityString, getExtendedProperties, getFlag, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getShadowSize, getSplashSound, getSwimSound, getTeleportDirection, getUniqueID, getYOffset, handleLavaMovement, handleWaterMovement, hashCode, hitByEntity, isBurning, isCreatureType, isEating, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRender3d, isInRangeToRenderDist, isInsideOfMaterial, isInvisible, isInvisibleToPlayer, isInWater, isOffsetPositionInLiquid, isPushedByWater, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, newDoubleNBTList, newFloatNBTList, onChunkLoad, onCollideWithPlayer, onKillEntity, onStruckByLightning, playSound, preparePlayerToSpawn, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setDead, setEating, setEntityId, setFire, setFlag, setInPortal, setInvisible, setInWeb, setLocationAndAngles, setOnFireFromLava, setPosition, setPositionAndRotation, setRotation, setSize, setSneaking, setVelocity, setWorld, shouldDismountInWater, shouldRenderInPass, shouldRiderSit, shouldSetPosAfterLoading, toString, travelToDimension, updateRiderPosition, writeMountToNBT, writeToNBT, writeToNBTOptional`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### livingSoundTime

          public int livingSoundTime

    - #### experienceValue

          protected int experienceValue

    - #### tasks

          public final EntityAITasks tasks

    - #### targetTasks

          public final EntityAITasks targetTasks

    - #### equipmentDropChances

          protected float[] equipmentDropChances

    - #### defaultPitch

          protected float defaultPitch

    - #### numTicksToChaseTarget

          protected int numTicksToChaseTarget

  - ### Constructor Detail

    - #### EntityLiving

          public EntityLiving(World par1World)

  - ### Method Detail

    - #### applyEntityAttributes

          protected void applyEntityAttributes()

      Overrides:
        `applyEntityAttributes` in class `EntityLivingBase`

    - #### getLookHelper

          public EntityLookHelper getLookHelper()

    - #### getMoveHelper

          public EntityMoveHelper getMoveHelper()

    - #### getJumpHelper

          public EntityJumpHelper getJumpHelper()

    - #### getNavigator

          public PathNavigate getNavigator()

    - #### getEntitySenses

          public EntitySenses getEntitySenses()

    - #### getAttackTarget

          public EntityLivingBase getAttackTarget()

    - #### setAttackTarget

          public void setAttackTarget(EntityLivingBase par1EntityLivingBase)

    - #### canAttackClass

          public boolean canAttackClass(java.lang.Class par1Class)

    - #### eatGrassBonus

          public void eatGrassBonus()

    - #### entityInit

          protected void entityInit()

      Overrides:
        `entityInit` in class `EntityLivingBase`

    - #### getTalkInterval

          public int getTalkInterval()

    - #### playLivingSound

          public void playLivingSound()

    - #### onEntityUpdate

          public void onEntityUpdate()

      Overrides:
        `onEntityUpdate` in class `EntityLivingBase`

    - #### getExperiencePoints

          protected int getExperiencePoints(EntityPlayer par1EntityPlayer)

      Overrides:
        `getExperiencePoints` in class `EntityLivingBase`

    - #### spawnExplosionParticle

          public void spawnExplosionParticle()

    - #### onUpdate

          public void onUpdate()

      Overrides:
        `onUpdate` in class `EntityLivingBase`

    - #### func_110146_f

          protected float func_110146_f(float par1,
                            float par2)

      Overrides:
        `func_110146_f` in class `EntityLivingBase`

    - #### getLivingSound

          protected java.lang.String getLivingSound()

    - #### getDropItem

          protected Item getDropItem()

    - #### dropFewItems

          protected void dropFewItems(boolean par1,
                          int par2)

      Overrides:
        `dropFewItems` in class `EntityLivingBase`

    - #### writeEntityToNBT

          public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

      Overrides:
        `writeEntityToNBT` in class `EntityLivingBase`

    - #### readEntityFromNBT

          public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

      Overrides:
        `readEntityFromNBT` in class `EntityLivingBase`

    - #### setMoveForward

          public void setMoveForward(float par1)

    - #### setAIMoveSpeed

          public void setAIMoveSpeed(float par1)

      Overrides:
        `setAIMoveSpeed` in class `EntityLivingBase`

    - #### onLivingUpdate

          public void onLivingUpdate()

      Overrides:
        `onLivingUpdate` in class `EntityLivingBase`

    - #### isAIEnabled

          protected boolean isAIEnabled()

      Overrides:
        `isAIEnabled` in class `EntityLivingBase`

    - #### canDespawn

          protected boolean canDespawn()

    - #### despawnEntity

          protected void despawnEntity()

    - #### updateAITasks

          protected void updateAITasks()

      Overrides:
        `updateAITasks` in class `EntityLivingBase`

    - #### updateEntityActionState

          protected void updateEntityActionState()

      Overrides:
        `updateEntityActionState` in class `EntityLivingBase`

    - #### getVerticalFaceSpeed

          public int getVerticalFaceSpeed()

    - #### faceEntity

          public void faceEntity(Entity par1Entity,
                        float par2,
                        float par3)

    - #### getCanSpawnHere

          public boolean getCanSpawnHere()

    - #### getRenderSizeModifier

          public float getRenderSizeModifier()

    - #### getMaxSpawnedInChunk

          public int getMaxSpawnedInChunk()

    - #### getMaxSafePointTries

          public int getMaxSafePointTries()

      Overrides:
        `getMaxSafePointTries` in class `Entity`

    - #### getHeldItem

          public ItemStack getHeldItem()

      Specified by:
        `getHeldItem` in class `EntityLivingBase`

    - #### getEquipmentInSlot

          public ItemStack getEquipmentInSlot(int par1)

      Specified by:
        `getEquipmentInSlot` in class `EntityLivingBase`

    - #### func_130225_q

          public ItemStack func_130225_q(int par1)

    - #### setCurrentItemOrArmor

          public void setCurrentItemOrArmor(int par1,
                                   ItemStack par2ItemStack)

      Specified by:
        `setCurrentItemOrArmor` in class `EntityLivingBase`

    - #### getLastActiveItems

          public ItemStack[] getLastActiveItems()

      Specified by:
        `getLastActiveItems` in class `EntityLivingBase`

    - #### dropEquipment

          protected void dropEquipment(boolean par1,
                           int par2)

      Overrides:
        `dropEquipment` in class `EntityLivingBase`

    - #### addRandomArmor

          protected void addRandomArmor()

    - #### getArmorPosition

          public static int getArmorPosition(ItemStack par0ItemStack)

    - #### getArmorItemForSlot

          public static Item getArmorItemForSlot(int par0,
                                 int par1)

    - #### enchantEquipment

          protected void enchantEquipment()

    - #### onSpawnWithEgg

          public IEntityLivingData onSpawnWithEgg(IEntityLivingData par1EntityLivingData)

    - #### canBeSteered

          public boolean canBeSteered()

    - #### getCommandSenderName

          public java.lang.String getCommandSenderName()

      Overrides:
        `getCommandSenderName` in class `Entity`

    - #### func_110163_bv

          public void func_110163_bv()

    - #### setCustomNameTag

          public void setCustomNameTag(java.lang.String par1Str)

    - #### getCustomNameTag

          public java.lang.String getCustomNameTag()

    - #### hasCustomNameTag

          public boolean hasCustomNameTag()

    - #### setAlwaysRenderNameTag

          public void setAlwaysRenderNameTag(boolean par1)

    - #### getAlwaysRenderNameTag

          public boolean getAlwaysRenderNameTag()

    - #### getAlwaysRenderNameTagForRender

          public boolean getAlwaysRenderNameTagForRender()

      Overrides:
        `getAlwaysRenderNameTagForRender` in class `EntityLivingBase`

    - #### setEquipmentDropChance

          public void setEquipmentDropChance(int par1,
                                    float par2)

    - #### canPickUpLoot

          public boolean canPickUpLoot()

    - #### setCanPickUpLoot

          public void setCanPickUpLoot(boolean par1)

    - #### isNoDespawnRequired

          public boolean isNoDespawnRequired()

    - #### interactFirst

          public final boolean interactFirst(EntityPlayer par1EntityPlayer)

      Overrides:
        `interactFirst` in class `Entity`

    - #### interact

          protected boolean interact(EntityPlayer par1EntityPlayer)

    - #### updateLeashedState

          protected void updateLeashedState()

    - #### clearLeashed

          public void clearLeashed(boolean par1,
                          boolean par2)

    - #### allowLeashing

          public boolean allowLeashing()

    - #### getLeashed

          public boolean getLeashed()

    - #### getLeashedToEntity

          public Entity getLeashedToEntity()

    - #### setLeashedToEntity

          public void setLeashedToEntity(Entity par1Entity,
                                boolean par2)